Subject: bug#17386: closed (Re: bug#17386: 24.3.90; emacs_abort in cmcheckmagic)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Apr 2022 07:27:01 +0000

Your bug report

#17386: 24.3.90; emacs_abort in cmcheckmagic

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17386: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=17386
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17386: 24.3.90; emacs_abort in cmcheckmagic
From: Nicolas Richard <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Apr 2022 09:26:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le 26/04/2022 à 14:56, Lars Ingebrigtsen a écrit :

Nicolas Richard <[email-masked]> writes:

Context : I was in an "emacsclient -t" over ssh session. I noticed emacs
didn't respond (but I don't know if it was emacs or the ssh connection),
so I started another ssh session, ran "emacsclient -t" again but only
part of the emacs frame was drawn (maybe just the mode line, I'm not too
sure I didn't pay much attention) -- I guess that's when it crashed
because when I tried starting emacsclient again, nothing happened.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you still see this issue in recent Emacs versions?

Not at all. Seems it was fixed, thanks ! (I'm trying to close the bug, I hope I did it right.)

--
Nicolas Richard

Subject: 24.3.90; emacs_abort in cmcheckmagic
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Date: Fri, 02 May 2014 07:08:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Context : I was in an "emacsclient -t" over ssh session. I noticed emacs
didn't respond (but I don't know if it was emacs or the ssh connection),
so I started another ssh session, ran "emacsclient -t" again but only
part of the emacs frame was drawn (maybe just the mode line, I'm not too
sure I didn't pay much attention) -- I guess that's when it crashed
because when I tried starting emacsclient again, nothing happened.

Here's the backtrace:

Reading symbols from /home/youngfrog/sources/running-emacs/src/emacs...done.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = screen
Breakpoint 1 at 0x817f3cc: file emacs.c, line 351.
Temporary breakpoint 2 at 0x81a47f6: file sysdep.c, line 854.
Starting program: /home/youngfrog/sources/running-emacs/src/emacs -nw
warning: Could not load shared library symbols for linux-gate.so.1.
Do you need "set solib-search-path" or "set sysroot"?
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
[New Thread 0xb6389b40 (LWP 856)]
[New Thread 0xb5801b40 (LWP 859)]
[New Thread 0xb4e11b40 (LWP 860)]
[New Thread 0xb286db40 (LWP 1858)]
[New Thread 0xb206cb40 (LWP 1859)]

Breakpoint 1, terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:351
351	  signal (sig, SIG_DFL);
#0  terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:351
#1  0x081a5eaf in emacs_abort () at sysdep.c:2131
#2  0x0812f8fb in cmcheckmagic (tty=0x897ee80) at cm.c:120
#3  0x0813284c in tty_write_glyphs (f=0x85c46d0, string=0xb59fdef4, len=80) at term.c:778
#4  0x0813b78e in write_glyphs (f=0x85c46d0, string=0xb59fd3b4, len=80) at terminal.c:162
#5  0x08060881 in update_frame_line (f=0x85c46d0, vpos=63) at dispnew.c:4791
#6  0x0805fbd3 in update_frame_1 (f=0x85c46d0, force_p=true, inhibit_id_p=false) at dispnew.c:4461
#7  0x0805ca64 in update_frame (f=0x85c46d0, force_p=true, inhibit_hairy_id_p=false) at dispnew.c:3073
#8  0x0809bbe6 in redisplay_internal () at xdisp.c:13810
#9  0x0809c49b in redisplay_preserve_echo_area (from_where=2) at xdisp.c:14024
#10 0x08063e66 in Fredisplay (force=140216258) at dispnew.c:5834
#11 0x0821420d in Ffuncall (nargs=1, args=0xbfff8c40) at eval.c:2815
#12 0x082552e6 in exec_byte_code (bytestr=137815633, vector=137815653, maxdepth=28, args_template=3076, nargs=1, args=0xbfff8f5c) at bytecode.c:916
#13 0x082149e5 in funcall_lambda (fun=137815613, nargs=1, arg_vector=0xbfff8f58) at eval.c:2983
#14 0x08214441 in Ffuncall (nargs=2, args=0xbfff8f54) at eval.c:2864
#15 0x082552e6 in exec_byte_code (bytestr=149598521, vector=153892389, maxdepth=32, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#16 0x08214daf in funcall_lambda (fun=153892781, nargs=5, arg_vector=0x92c3625) at eval.c:3049
#17 0x08214441 in Ffuncall (nargs=6, args=0xbfff9284) at eval.c:2864
#18 0x082552e6 in exec_byte_code (bytestr=150002009, vector=153942869, maxdepth=32, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#19 0x08214daf in funcall_lambda (fun=153942909, nargs=1, arg_vector=0x92cfb55) at eval.c:3049
#20 0x08214441 in Ffuncall (nargs=2, args=0xbfff95b8) at eval.c:2864
#21 0x08213cfb in call1 (fn=153942909, arg1=270524753) at eval.c:2614
#22 0x0821eaab in mapcar1 (leni=1, vals=0x0, fn=153942909, seq=150898822) at fns.c:2329
#23 0x0821ee2d in Fmapc (function=153942909, sequence=150898822) at fns.c:2418
#24 0x08214233 in Ffuncall (nargs=3, args=0xbfff9704) at eval.c:2818
#25 0x082552e6 in exec_byte_code (bytestr=150002441, vector=153942933, maxdepth=20, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#26 0x08214daf in funcall_lambda (fun=153942965, nargs=4, arg_vector=0x92cfb95) at eval.c:3049
#27 0x08214441 in Ffuncall (nargs=5, args=0xbfff9a24) at eval.c:2864
#28 0x082552e6 in exec_byte_code (bytestr=150207137, vector=153878309, maxdepth=28, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#29 0x08214daf in funcall_lambda (fun=153878445, nargs=2, arg_vector=0x92bff25) at eval.c:3049
#30 0x082146ff in apply_lambda (fun=153878445, args=150701286) at eval.c:2924
#31 0x082130ff in eval_sub (form=150701278) at eval.c:2230
#32 0x08211055 in internal_lisp_condition_case (var=141940154, bodyform=150701278, handlers=150701382) at eval.c:1323
#33 0x082561b4 in exec_byte_code (bytestr=150208865, vector=153878277, maxdepth=12, args_template=140216258, nargs=0, args=0x0) at bytecode.c:1162
#34 0x08214daf in funcall_lambda (fun=153820901, nargs=2, arg_vector=0x92bff05) at eval.c:3049
#35 0x08214441 in Ffuncall (nargs=3, args=0xbfffa1c4) at eval.c:2864
#36 0x082552e6 in exec_byte_code (bytestr=150219425, vector=153820621, maxdepth=12, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#37 0x08214daf in funcall_lambda (fun=153820637, nargs=1, arg_vector=0x92b1dcd) at eval.c:3049
#38 0x08214441 in Ffuncall (nargs=2, args=0xbfffa4d8) at eval.c:2864
#39 0x08213cfb in call1 (fn=153820637, arg1=270583761) at eval.c:2614
#40 0x0821eaab in mapcar1 (leni=2, vals=0x0, fn=153820637, seq=150625006) at fns.c:2329
#41 0x0821ee2d in Fmapc (function=153820637, sequence=150625006) at fns.c:2418
#42 0x08214233 in Ffuncall (nargs=3, args=0xbfffa624) at eval.c:2818
#43 0x082552e6 in exec_byte_code (bytestr=150236201, vector=153820661, maxdepth=28, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#44 0x08214daf in funcall_lambda (fun=153820725, nargs=2, arg_vector=0x92b1df5) at eval.c:3049
#45 0x08214441 in Ffuncall (nargs=3, args=0xbfffa940) at eval.c:2864
#46 0x08213770 in Fapply (nargs=2, args=0xbfffa9c4) at eval.c:2354
#47 0x08213ca6 in apply1 (fn=152674370, arg=148493038) at eval.c:2588
#48 0x08260e85 in read_process_output_call (fun_and_args=148477358) at process.c:4964
#49 0x08211291 in internal_condition_case_1 (bfun=0x8260df8 <read_process_output_call>, arg=148477358, handlers=140216258, hfun=0x8260e87 <read_process_output_error_handler>) at eval.c:1378
#50 0x0826144c in read_and_dispose_of_process_output (p=0x92c2f00, 
    chars=0xbfffaab0 ":[email-masked] QUIT :Remote host closed the connection\r\n:[email-masked] PRIVMSG #emacs :aidalgol: derp\r\nI\243\247\b\002", nbytes=176, 
    coding=0x9014400) at process.c:5177
#51 0x0826116e in read_process_output (proc=153890565, channel=176) at process.c:5086
#52 0x08260826 in wait_reading_process_output (time_limit=0, nsecs=10000000, read_kbd=0, do_display=false, wait_for_cell=140216258, wait_proc=0xceba8e0, just_wait_proc=0) at process.c:4808
#53 0x0825eea8 in Faccept_process_output (process=216770789, seconds=176315135, millisec=40, just_this_one=140216258) at process.c:4000
#54 0x0821429a in Ffuncall (nargs=4, args=0xbfffbf64) at eval.c:2826
#55 0x082552e6 in exec_byte_code (bytestr=169508313, vector=177807349, maxdepth=28, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#56 0x08214daf in funcall_lambda (fun=177807373, nargs=1, arg_vector=0xa991ff5) at eval.c:3049
#57 0x08214441 in Ffuncall (nargs=2, args=0xbfffc284) at eval.c:2864
#58 0x082552e6 in exec_byte_code (bytestr=170275961, vector=155679221, maxdepth=20, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#59 0x08214daf in funcall_lambda (fun=155679301, nargs=1, arg_vector=0x94779f5) at eval.c:3049
#60 0x08214441 in Ffuncall (nargs=2, args=0xbfffc5a4) at eval.c:2864
#61 0x082552e6 in exec_byte_code (bytestr=170275137, vector=155679325, maxdepth=20, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#62 0x08214daf in funcall_lambda (fun=155679389, nargs=0, arg_vector=0x9477a5d) at eval.c:3049
#63 0x08214441 in Ffuncall (nargs=1, args=0xbfffc8c4) at eval.c:2864
#64 0x082552e6 in exec_byte_code (bytestr=170465169, vector=175695285, maxdepth=24, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#65 0x08214daf in funcall_lambda (fun=175695421, nargs=0, arg_vector=0xa78e5b5) at eval.c:3049
#66 0x08214441 in Ffuncall (nargs=1, args=0xbfffcbf0) at eval.c:2864
#67 0x08212d9a in eval_sub (form=172590406) at eval.c:2157
#68 0x08211055 in internal_lisp_condition_case (var=140216258, bodyform=172590406, handlers=172590526) at eval.c:1323
#69 0x082561b4 in exec_byte_code (bytestr=170486521, vector=153458157, maxdepth=16, args_template=140216258, nargs=0, args=0x0) at bytecode.c:1162
#70 0x08254740 in Fbyte_code (bytestr=170486521, vector=153458157, maxdepth=16) at bytecode.c:482
#71 0x08212ef8 in eval_sub (form=172590878) at eval.c:2191
#72 0x082106ea in internal_catch (tag=156315122, func=0x82128d5 <eval_sub>, arg=172590878) at eval.c:1118
#73 0x08255ec6 in exec_byte_code (bytestr=170486777, vector=153458213, maxdepth=12, args_template=140216258, nargs=0, args=0x0) at bytecode.c:1097
#74 0x08214daf in funcall_lambda (fun=153458245, nargs=4, arg_vector=0x9259625) at eval.c:3049
#75 0x08214441 in Ffuncall (nargs=5, args=0xbfffd3f4) at eval.c:2864
#76 0x082552e6 in exec_byte_code (bytestr=170465385, vector=175695445, maxdepth=20, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#77 0x08214daf in funcall_lambda (fun=175695469, nargs=3, arg_vector=0xa78e655) at eval.c:3049
#78 0x08214441 in Ffuncall (nargs=4, args=0xbfffd714) at eval.c:2864
#79 0x082552e6 in exec_byte_code (bytestr=164681025, vector=170601165, maxdepth=24, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#80 0x08214daf in funcall_lambda (fun=158907597, nargs=3, arg_vector=0xa2b2acd) at eval.c:3049
#81 0x08214441 in Ffuncall (nargs=4, args=0xbfffda34) at eval.c:2864
#82 0x082552e6 in exec_byte_code (bytestr=165635177, vector=157953309, maxdepth=28, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#83 0x08214daf in funcall_lambda (fun=157100309, nargs=3, arg_vector=0x96a2d1d) at eval.c:3049
#84 0x08214441 in Ffuncall (nargs=4, args=0xbfffdd54) at eval.c:2864
#85 0x082552e6 in exec_byte_code (bytestr=165597273, vector=153689061, maxdepth=36, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#86 0x08214daf in funcall_lambda (fun=157100117, nargs=3, arg_vector=0x9291be5) at eval.c:3049
#87 0x08214441 in Ffuncall (nargs=4, args=0xbfffe084) at eval.c:2864
#88 0x082552e6 in exec_byte_code (bytestr=167134361, vector=178002557, maxdepth=16, args_template=140216258, nargs=0, args=0x0) at bytecode.c:916
#89 0x08214daf in funcall_lambda (fun=178002653, nargs=1, arg_vector=0xa9c1a7d) at eval.c:3049
#90 0x08214441 in Ffuncall (nargs=2, args=0xbfffe3f0) at eval.c:2864
#91 0x0820d957 in Fcall_interactively (function=153554762, record_flag=140216258, keys=140225101) at callint.c:836
#92 0x08214262 in Ffuncall (nargs=4, args=0xbfffe62c) at eval.c:2822
#93 0x082552e6 in exec_byte_code (bytestr=138217873, vector=138217893, maxdepth=52, args_template=4100, nargs=1, args=0xbfffe960) at bytecode.c:916
#94 0x082149e5 in funcall_lambda (fun=138217853, nargs=1, arg_vector=0xbfffe95c) at eval.c:2983
#95 0x08214441 in Ffuncall (nargs=2, args=0xbfffe958) at eval.c:2864
#96 0x08213cfb in call1 (fn=140242714, arg1=153554762) at eval.c:2614
#97 0x08183a97 in command_loop_1 () at keyboard.c:1556
#98 0x0821116f in internal_condition_case (bfun=0x818342b <command_loop_1>, handlers=140249338, hfun=0x8182c5a <cmd_error>) at eval.c:1354
#99 0x081830d5 in command_loop_2 (ignore=140216258) at keyboard.c:1174
#100 0x082106ea in internal_catch (tag=140247386, func=0x81830b1 <command_loop_2>, arg=140216258) at eval.c:1118
#101 0x0818308f in command_loop () at keyboard.c:1153
#102 0x081827ee in recursive_edit_1 () at keyboard.c:777
#103 0x081829ae in Frecursive_edit () at keyboard.c:845
#104 0x08180cef in main (argc=2, argv=0xbfffecc4) at emacs.c:1646

Lisp Backtrace:
"redisplay_internal (C function)" (0x85a5d90)
"redisplay" (0xbfff8c44)
"sit-for" (0xbfff8f58)
"rcirc-print" (0xbfff9288)
0x92cfb78 PVEC_COMPILED
"mapc" (0xbfff9708)
"rcirc-handler-QUIT" (0xbfff9a28)
"rcirc-process-server-response-1" (0xbfff9cb0)
"rcirc-process-server-response" (0xbfffa1c8)
0x92b1dd8 PVEC_COMPILED
"mapc" (0xbfffa628)
"rcirc-filter" (0xbfffa944)
"accept-process-output" (0xbfffbf68)
"nnheader-accept-process-output" (0xbfffc288)
"nntp-accept-process-output" (0xbfffc5a8)
"nntp-accept-response" (0xbfffc8c8)
0xa78e638 PVEC_COMPILED
"funcall" (0xbfffcbf0)
"byte-code" (0xbfffd000)
"nntp-with-open-group-function" (0xbfffd3f8)
"nntp-finish-retrieve-group-infos" (0xbfffd718)
"gnus-finish-retrieve-group-infos" (0xbfffda38)
"gnus-read-active-for-groups" (0xbfffdd58)
"gnus-get-unread-articles" (0xbfffe088)
"gnus-group-get-new-news" (0xbfffe3f4)
"call-interactively" (0xbfffe630)
"command-execute" (0xbfffe95c)

In GNU Emacs 24.3.90.8 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2014-04-25 on geodiff-mac3
Windowing system distributor `The X.Org Foundation', version 11.0.11304000
System Description:	Gentoo Base System release 2.2

Configured using:
 `configure --with-x-toolkit=lucid --enable-checking 'CFLAGS= -O0 -g3''

Important settings:
  value of $LANG: fr_FR.UTF-8
  locale-coding-system: utf-8-unix

-- 
Nico.